PhoneNumberUtil.ValidationResult
Date: 2011-05-04

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.i18n.phonenumbers
Enum PhoneNumberUtil.ValidationResult

    java.lang.Object
      java.lang.Enum<PhoneNumberUtil.ValidationResult>
          com.google.i18n.phonenumbers.PhoneNumberUtil.ValidationResult

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PhoneNumberUtil.ValidationResult>

Enclosing class:
  PhoneNumberUtil

    public static enum PhoneNumberUtil.ValidationResult

extends java.lang.Enum<PhoneNumberUtil.ValidationResult>

Possible outcomes when testing if a PhoneNumber is possible.

Enum Constant Summary
`INVALID_COUNTRY_CODE`
`IS_POSSIBLE`
`TOO_LONG`
`TOO_SHORT`

Method Summary
`static PhoneNumberUtil.ValidationResult` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PhoneNumberUtil.ValidationResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IS_POSSIBLE

    public static final PhoneNumberUtil.ValidationResult IS_POSSIBLE

### INVALID_COUNTRY_CODE

    public static final PhoneNumberUtil.ValidationResult INVALID_COUNTRY_CODE

### TOO_SHORT

    public static final PhoneNumberUtil.ValidationResult TOO_SHORT

### TOO_LONG

    public static final PhoneNumberUtil.ValidationResult TOO_LONG

Method Detail

### values

    public static PhoneNumberUtil.ValidationResult[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PhoneNumberUtil.ValidationResult c : PhoneNumberUtil.ValidationResult.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PhoneNumberUtil.ValidationResult valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD